Bug 427258 - mysql-5.0.45-6.fc8.src.rpm not rebuild
Summary: mysql-5.0.45-6.fc8.src.rpm not rebuild
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i686 Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-02 15:01 UTC by Danilo Marcucci
Modified: 2013-07-03 03:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 03:40:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nohup `rpmbuilod --force --define "dist .fc8" --define "fedora 8" --rebuild --target i686 /usr/src/redhat/SRPMS/mysql-5.0.45-6.fc8.src.rpm 2>&1 | tee -a /root/mysql-5.0.45-6.fc8.src.rpm.log` & (1.19 MB, text/plain)
2008-01-02 15:01 UTC, Danilo Marcucci
no flags Details

Description Danilo Marcucci 2008-01-02 15:01:42 UTC
Description of problem:
mysql-5.0.45-6.fc8.src.rpm not rebuild

Version-Release number of selected component (if applicable):
mysql-5.0.45-6.fc8.src.rpm

How reproducible:
rpmbuild -define "dist .fc8" --define "fedora 8" --rebuild --target i686
/usr/src/redhat/SRPMS/mysql-5.0.45-6.fc8.src.rpm

Steps to Reproduce:
1.
rpmbuild --define "dist .fc8" --define "fedora 8" --rebuild --target i686
/usr/src/redhat/SRPMS/mysql-5.0.45-6.fc8.src.rpm
2.
rpmbuild --force --define "dist .fc8" --define "fedora 8" --rebuild --target
i686 /usr/src/redhat/SRPMS/mysql-5.0.45-6.fc8.src.rpm
3.

In the first case i have used rpmbuild without "--force", in the second case i
have used "--force" as requested at the end of the log file. This it requested
is presente also when rebuild with "--force".


Actual results:
mysql-5.0.45-6.fc8.src.rpm not rebuild

Expected results:
/usr/src/redhat/RPMS/i686/mysql-5.0.45-6.fc8.i686.rpm

Additional info:

Comment 1 Danilo Marcucci 2008-01-02 15:01:42 UTC
Created attachment 290661 [details]
nohup `rpmbuilod --force --define "dist .fc8" --define "fedora 8" --rebuild --target i686 /usr/src/redhat/SRPMS/mysql-5.0.45-6.fc8.src.rpm 2>&1 | tee -a /root/mysql-5.0.45-6.fc8.src.rpm.log` &

Comment 2 Tom Lane 2008-01-02 16:17:57 UTC
It's not clear why the mysql regression tests aren't working in your environment, but one suggestion 
would be to not do the build as root.  If all else fails, use --define='runselftest 0'.

Comment 3 Danilo Marcucci 2008-01-03 11:36:24 UTC
I have added this string "--define='runselftest 0'" and the pakage is rebuilded.
I haven't try as different users from root.

Thanks.

Comment 4 Tom Lane 2008-01-05 03:40:36 UTC
OK, closing on the basis that it works fine here.  If you figure out why it didn't work for you, feel free to 
reopen.


Note You need to log in before you can comment on or make changes to this bug.